class TamaraPaymentOption {
  String? name;
  double? minLimit;
  double? maxLimit;
  int? id;
  bool? enable = true;

  String fullName() => '$name Months';

  TamaraPaymentOption({
      this.name, 
      this.minLimit, 
      this.maxLimit, 
      this.id});


  @override
  String toString() => fullName();

  TamaraPaymentOption.fromJson(dynamic json) {
    name = json["name"];
    minLimit = json["min_limit"];
    maxLimit = json["max_limit"];
    id = json["id"];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map["name"] = name;
    map["min_limit"] = minLimit;
    map["max_limit"] = maxLimit;
    map["id"] = id;
    return map;
  }

}